<?php

// Admin web routes  for department
Route::group(['prefix' => trans_setlocale().'/admin/department'], function () {
    Route::resource('department', 'Assetdocs\Department\Http\Controllers\DepartmentAdminController');
});

// Admin API routes  for department
Route::group(['prefix' => trans_setlocale().'api/v1/admin/department'], function () {
    Route::resource('department', 'Assetdocs\Department\Http\Controllers\DepartmentAdminApiController');
});

// User web routes for department
Route::group(['prefix' => trans_setlocale().'/user/departments'], function () {
    Route::resource('/', 'Assetdocs\Department\Http\Controllers\DepartmentUserController');
});

// User API routes for department
Route::group(['prefix' => trans_setlocale().'api/v1/user/departments'], function () {
    Route::resource('/', 'Assetdocs\Department\Http\Controllers\DepartmentUserApiController');
});

// Public web routes for department
Route::group(['prefix' => trans_setlocale().'/departments'], function () {
    Route::get('/', 'Assetdocs\Department\Http\Controllers\DepartmentController@index');
    Route::get('/{slug?}', 'Assetdocs\Department\Http\Controllers\DepartmentController@show');
});

// Public API routes for department
Route::group(['prefix' => trans_setlocale().'api/v1/departments'], function () {
    Route::get('/', 'Assetdocs\Department\Http\Controllers\DepartmentApiController@index');
    Route::get('/{slug?}', 'Assetdocs\Department\Http\Controllers\DepartmentApiController@show');
});

