<?php

namespace Assetdocs\Department\Repositories\Eloquent;

use Assetdocs\Department\Interfaces\DepartmentRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class DepartmentRepository extends BaseRepository implements DepartmentRepositoryInterface
{
    /**
     * Booting the repository.
     *
     * @return null
     */
    public function boot()
    {
        $this->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'));
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        $this->fieldSearchable = config('package.department.department.search');
        return config('package.department.department.model');
    }
}
